OpenGLRaw-2.6.0.0: A raw binding for the OpenGL graphics system

Copyright | (c) Sven Panne 2015
License | BSD3
Maintainer | Sven Panne <svenpanne@gmail.com>
Stability | stable
Portability | portable
Safe Haskell | None
Language | Haskell2010

Graphics.Rendering.OpenGL.Raw.NV.RegisterCombiners2

Contents

- Extension Support
- Enums
- Functions

Description

Synopsis

- glGetNVRegisterCombiners2 :: MonadIO m => m Bool
- gl_NV_register_combiners2 :: Bool
- gl_PER_STAGE_CONSTANTS_NV :: GLenum
- glCombinerStageParameterfvNV :: MonadIO m => GLenum -> GLenum -> Ptr GLfloat -> m ()
- glGetCombinerStageParameterfvNV :: MonadIO m => GLenum -> GLenum -> Ptr GLfloat -> m ()

# Extension Support

glGetNVRegisterCombiners2 :: MonadIO m => m Bool

Is the NV_register_combiners2 extension supported?

gl_NV_register_combiners2 :: Bool

Is the NV_register_combiners2 extension supported? Note that in the presence of multiple contexts with different capabilities, this might be wrong. Use `glGetNVRegisterCombiners2` in those cases instead.

# Enums

gl_PER_STAGE_CONSTANTS_NV :: GLenum

# Functions

glCombinerStageParameterfvNV

Arguments

:: MonadIO m |
=> GLenum | `stage` of type `CombinerStageNV`.
-> GLenum | `pname` of type `CombinerParameterNV`.
-> Ptr GLfloat | `params` pointing to `COMPSIZE(pname)` elements of type `CheckedFloat32`.
-> m () |

glGetCombinerStageParameterfvNV

Arguments

:: MonadIO m |
=> GLenum | `stage` of type `CombinerStageNV`.
-> GLenum | `pname` of type `CombinerParameterNV`.
-> Ptr GLfloat | `params` pointing to `COMPSIZE(pname)` elements of type `GLfloat`.
-> m () |